/*
 * ep - extended pipelining
 *
 * conf.h - command line and config file parsing header file
 * ____________________________________________________________
 *
 * Developed by Ondrej Jombik <nepto@pobox.sk>
 *          and Lubomir Host <rajo@host.sk>
 * Copyright (c) 2000-2003 Platon SDG, http://www.platon.sk/
 * All rights reserved.
 *
 * See README file for more information about this software.
 * See COPYING file for license information.
 *
 * Download the latest version from
 * http://www.platon.sk/projects/ep/
 */

/* $Platon: ep/src/conf.h,v 1.16 2003/01/07 16:10:42 nepto Exp $ */

#ifndef _CONF_H
#define _CONF_H

#include "fd.h" /* N_FD */
#include "proctable.h" /* PROCTABLE */

extern char *conf_global_filename;
extern char *conf_user_filename;
extern struct conf_struct_global cfg;

struct conf_struct_global {
	int help;
	int quiet;
	int verbose;
	int disable_global_config;
	int disable_user_config;
	int case_insensitive_names;
	int fast_data_transfer;

	char **config_file;
};

struct conf_struct_process {
	int nice;

	char **fd_str[N_FD];
	char **name;
	char **argv;
};

int conf_init(void);
void conf_destroy(void);

PROCTABLE conf_parse_all(int argc, char **argv);

int conf_cfgfile_parse(
		char *filename,
		struct conf_struct_global **global,
		struct conf_struct_process ***processes);

int conf_cmdline_parse(
		int argc, char **argv,
		struct conf_struct_global **global,
		struct conf_struct_process ***processes);

#endif /* _CONF_H */

