/*
 * ep - extended pipelining
 *
 * m_proctable.c - ncurses process table menu item
 * ____________________________________________________________
 *
 * Developed by Ondrej Jombik <nepto@pobox.sk>
 *          and Lubomir Host <rajo@host.sk>
 * Copyright (c) 2000-2003 Platon SDG, http://www.platon.sk/
 * All rights reserved.
 *
 * See README file for more information about this software.
 * See COPYING file for license information.
 *
 * Download the latest version from
 * http://www.platon.sk/projects/ep/
 */

/* $Platon: ep/src/m_proctable.c,v 1.11 2003/01/07 16:10:42 nepto Exp $ */

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif
#include <stdio.h>
#ifdef HAVE_MALLOC_H
#  include <malloc.h>
#endif
#ifdef STDC_HEADERS
#  include <ctype.h>
#endif

#if HAVE_MENU
#  include <curses.h>

#include <signal.h>

#include "proctable.h"

	int
menu_proctable_info(p_ptbl, y, x)
	PROCTABLE *p_ptbl;
	int       y;
	int       x;
{
	int c, j, k;
	struct mallinfo i;
	chtype hbox = '-', vbox = '|';
	int xsize = 32;
	int ysize = 12;
	char *str= (char *)malloc(1000*sizeof(char));
	//	WINDOW *win = newwin(ysize, xsize, (LINES-ysize)/2, (COLS-xsize)/2);
	WINDOW *win = newwin(ysize, xsize, y, x);

	wstandout(win);
	wrefresh(win);
	i=mallinfo();
	sprintf(str, "proctable goes here");
	mvwaddstr(win, 1, 0, str);
	for (k=0; k<3; k++)
		for (j=0; j<xsize; j++)
			wprintw(win, " ");
	wstandend(win);
	wattrset(win, A_BOLD);
	mvwaddstr(win, 9, (xsize - 6)/2, "[ OK ]");
	wmove(win, 9, (xsize - 6)/2 + 2);
	wstandout(win);
	wborder(win, vbox, vbox, hbox, hbox, '+', '+', '+', '+');
	wrefresh(win);
	c = getch();
	werase(win);
	touchwin(win);
	wrefresh(win);
	delwin(win);
	free(str);
	return 0;
}

#endif /* #if HAVE_MENU */

