/*
 * ep - extended pipelining
 *
 * message.h - output messages functions header file
 * ____________________________________________________________
 *
 * Developed by Ondrej Jombik <nepto@pobox.sk>
 *          and Lubomir Host <rajo@host.sk>
 * Copyright (c) 2000-2003 Platon SDG, http://www.platon.sk/
 * All rights reserved.
 *
 * See README file for more information about this software.
 * See COPYING file for license information.
 *
 * Download the latest version from
 * http://www.platon.sk/projects/ep/
 */

/* $Platon: ep/src/message.h,v 1.8 2003/01/07 16:10:42 nepto Exp $ */

#ifndef _MESSAGE_H
#define _MESSAGE_H

#if defined(SELF) || defined(SELFTEST)
# define argv0 "ep-debug-mode"
#else
extern char *argv0;
#endif

extern char *conf_global_filename;
extern char *conf_user_filename;

/*
 * Print normal message to stdout.
 */
void msg_print(char *fmt, ...);

/*
 * Print error message to stdout (variable number of arguments).
 */
void msg_error_print(char *fmt, ...);

/*
 * Print strings in array ended with NULL.
 */
void msg_array_print(char **array);

/*
 * Print warning message to stdout (variable number of arguments).
 */
void msg_warn_print(char *fmt, ...);

/*
 * Print debug message to stdout (variable number of arguments).
 */
#if DEBUG
void msg_debug_print(char *fmt, ...);
#endif

/*
 * Print error message according errno.
 */
void msg_errno_print(void);

/*
 * Print usage of program.
 */
void msg_usage_print(void);


#endif /* #ifndef _MESSAGE_H */

